petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMalloc

Allocates memory, One should use PetscMalloc1() or PetscCalloc1() usually instead of this

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscMalloc(size_t m,void **result)

Not Collective Many br

### Input Parameter

m -number of bytes to allocate Many br

### Output Parameter

result -memory allocated Many br

Many br

### Notes

Memory is always allocated at least double aligned Many br

It is safe to allocate size 0 and pass the resulting pointer (which may or may not be NULL) to PetscFree(). Many br

### See Also

PetscFree(), PetscNew()

Level:beginner
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex62.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex11.c.html